Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1514330 - vmcore size is too big
Summary: vmcore size is too big
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: kexec-tools
Version: 27
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Dave Young
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-11-17 06:03 UTC by lnie
Modified: 2017-11-25 02:37 UTC (History)
2 users (show)

Fixed In Version: kexec-tools-2.0.15-12.fc27.1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-11-25 02:37:42 UTC


Attachments (Terms of Use)

Description lnie 2017-11-17 06:03:56 UTC
Description of problem:
test kdump on the virtual machine,but find the vmcore is 537M 

Version-Release number of selected component (if applicable):
kexec-tools-2.0.15-11.fc27.x86_64
kernel-4.13.12-300.fc27.x86_64

How reproducible:


Steps to Reproduce:
1. set crashkernel=256M in grub 
2. kdumpctl start  
3. echo 1 >/proc/sys/kernel/sysrq 
4. echo c >/proc/sysrq-trigger
5. reboot and check the vmcore size: ls -lth /var/crash/*/


Actual results:
-rw-------. 1 root root 537M Nov 17 13:12 vmcore
-rw-r--r--. 1 root root  43K Nov 17 13:12 vmcore-dmesg.txt

Expected results:
vmcore should be less than 50M

Additional info:

Comment 1 lnie 2017-11-17 06:13:18 UTC
memory is 1824M
disk size is 20G

Comment 2 Dave Young 2017-11-20 04:52:32 UTC
Fixed in 2.0.15-12 and later, thus update kexec-tools this should not happen any more.

Comment 3 Dave Young 2017-11-21 05:27:46 UTC
2.0.15-12 was not added in Fedora update repo yet, it was just merged in git. reopen and handle it

Comment 4 Fedora Update System 2017-11-21 05:30:04 UTC
kexec-tools-2.0.15-12.fc27.1 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2017-8e731156c5

Comment 5 Fedora Update System 2017-11-22 06:32:14 UTC
kexec-tools-2.0.15-12.fc27.1 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-8e731156c5

Comment 6 Fedora Update System 2017-11-25 02:37:42 UTC
kexec-tools-2.0.15-12.fc27.1 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.